﻿@{
    Layout = null;
}

<form name="EmailCampaignUserListStep1" novalidate ng-submit="saveUploadedList()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Recipients
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <nav class="step-navigator campaign breadcrumbs">
            <ul>
                @*  CLASSES = done , active , last *@
                <li class="active"><a>Recipients</a></li>
                <li><a>Content</a></li>
                <li class="last"><a>Delivery</a></li>
                <!-- DO NOT DELETE THIS -->
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>

        <fieldset>
            <legend class="req-star">Select file</legend>
            <span class="message">You can upload either text or CSV format. Please make sure you specify the email address in file using a header named "Email". <a href="@Url.Action("DownloadSampleCsv", "Campaign")">>Click here</a> to see an example of file.</span>
            <label>Select your file</label>
            <div class="k-content">
                <div class="box-col">
                    <input name="uploadedList"
                           type="file"
                           accept=".csv,.txt"
                           kendo-upload
                           k-multiple="false"
                           k-upload="onUpload"
                           k-success="OnUploaderSuccess"
                           k-async="{ saveUrl: '@Url.Action("UploadedList", "Campaign")', removeUrl: '@Url.Action("DeleteUploadedList", "Campaign")', autoUpload: true }" />
                </div>
            </div>

            <div class="k-upload-files" ng-show="pageMode === 'Edit' && showListName">
                <ul class="k-upload-files k-reset">
                    <li class="k-file k-file-success">
                        <span class="k-filename" title="UploadedList">Uploaded List</span>
                        <strong class="k-upload-status">
                            <button type="button" class="k-button k-button-bare k-upload-action" ng-click="removeOldList()">
                                <span class="k-icon k-i-close k-delete" title="Remove"></span>
                            </button>
                        </strong>
                    </li>
                </ul>
            </div>

        </fieldset>

        <fieldset>
            <legend class="req-star">List name</legend>
            <span class="message">Enter a name to save the list for future use.</span>
            <label>Name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("ListName")>
                <input type="text" ng-model="Model.ListName" @Html.AngTooltipValidation("ListName") />
            </div>
        </fieldset>


        <hr />

        <button type="submit" class="success large place-right button">Save & continue</button>

        <button type="button" class="place-left button link large" ui-sref='EmailCampaignAddUserListStep1()'>Back</button>
        <div class="clearfix"></div>
    </div>
</form>
